Package ch.qos.logback.core.joran.conditional

# Class PropertyEvalScriptBuilder

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.joran.conditional.PropertyEvalScriptBuilder

All Implemented Interfaces:
  `ContextAware`

public class PropertyEvalScriptBuilder extends ContextAwareBase

## Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Method Summary

Modifier and Type
Method
Description
`Condition`
`build(String script)`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### build

public Condition build(String script) throws IllegalAccessException, org.codehaus.commons.compiler.CompileException, InstantiationException, SecurityException, NoSuchMethodException, IllegalArgumentException, InvocationTargetException

Throws:
  `IllegalAccessException`
  `org.codehaus.commons.compiler.CompileException`
  `InstantiationException`
  `SecurityException`
  `NoSuchMethodException`
  `IllegalArgumentException`
  `InvocationTargetException`